/* HelloWorld 
 * main.c
 * For the NU32 PIC32 board.
 */

#include "Compiler.h"			// tells MPLAB which compiler to use
#include "HardwareProfile.h"    // info on how the PIC is used, based on the constant you defined above
#include "LCD.h"
#define SYS_FREQ (80000000L)    // system clock is 80 MHz

void main(void)
{
  SYSTEMConfigPerformance(SYS_FREQ);  // tell PIC its operating frequency
  mInitAllLEDs();                    // initialize LED pins, defined in HardwareProfile_NU32.h

  lcd_init();  // initialize the HD44780 LCD in 4 bit mode, do this immediately after power up

  putsLCD("Bye");
  putsLCD("\nHi Andy");
  putsLCD("\bA");
  Delayms(1000);
  putsLCD("\fYo\n");
  Delayms(1000);
  putsLCD("\f");
  
  char buffer[5];
  int n;
  short a = 10;
  n=sprintf(buffer, "%d", a);
  putsLCD(buffer);

  while(1) {                         // loop forever
    if(swUser) {                     // swUser is high (true) until pressed
      mLED_0_Off();
      mLED_1_On();
      mLED_2_Off();
      mLED_3_On();
    }
    else {                           // swUser is low (false) if pressed
      mLED_0_On();
      mLED_1_Off();
      mLED_2_On();
      mLED_3_Off(); 
    }

    a--;
    n=sprintf(buffer, "%d", a);
    putsLCD("\fa = ");
    putsLCD(buffer);
    Delayms(500);

  }                                  // end of while loop
}                                    // end of main.c


